Page MenuHomePhabricator

There should be a maintenance script to add sites to the sites table
Closed, ResolvedPublic

Description

Currently, a wiki sysadmin would need to edit the database manually to do that, which isn't really cool. Import and export is already possible, and population from interwiki sites is possible with a a maintenance script from MediaWiki-extensions-WikibaseClient

Details

Related Gerrit Patches:

Event Timeline

Florian created this task.Apr 18 2016, 5:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2016, 5:24 PM

Change 284005 had a related patch set uploaded (by Florianschmidtwelzow):
Add special page to add sites to sites table

https://gerrit.wikimedia.org/r/284005

hoo added a subscriber: hoo.Oct 12 2016, 3:29 PM
thiemowmde closed this task as Resolved.Feb 26 2017, 4:39 PM
thiemowmde triaged this task as Medium priority.
thiemowmde moved this task from incoming to in progress on the Wikidata board.
thiemowmde moved this task from Proposed to Monitoring on the Wikidata-Former-Sprint-Board board.
thiemowmde added a subscriber: thiemowmde.

Change 284005 merged by jenkins-bot:
Add maintenance script to add sites to sites table

https://gerrit.wikimedia.org/r/284005

Thanks @thiemowmde for merging! I updated the documentation on: https://www.mediawiki.org/w/index.php?title=Manual:Sites_table&diff=2409116&oldid=2334627

However, we probably should think about adding the functionality to update a site using this maintenance script, too :)